[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TLocateOption

Available options when locating a record in a dataset

## Declaration

Source position: db.pas line 1379

`type TLocateOption = (`
`loCaseInsensitive,` |  | Perform a case-insensitive search
`loPartialKey` |  | Accept partial key matches for string fields
`);`

## Description

TLocateOption is used in the TDataset.Locate call to enumerate the possible options available when locating a record in the dataset.

For string-type fields, this option indicates that fields starting with the search value are considered a match. For other fields (e.g. integer, date/time), this option is ignored and only equal field values are considered a match.

## See also

TDataset.Locate |  | Locate a record based on some key values
TLocateOptions |  | Options to use when locating a record in a dataset